<app-nav-menu></app-nav-menu>
<h1> Modifier une formation </h1>
<div>
  <button mat-raised-button on-click="supprimerFormation()" color="red">Supprimer la formation</button>
</div>

<form *ngIf="formationForm != undefined" [formGroup]="formationForm" (ngSubmit)="updateFormation()">
  <div>
    <mat-form-field class="input">
      <input matInput placeholder="Intitulé" formControlName="intitule">
    </mat-form-field>
  </div>

  <div>
    <mat-form-field class="input">
      <input matInput placeholder="Origine" formControlName="origine">
    </mat-form-field>
  </div>

  <div>
    <mat-form-field class="input2">
      <mat-label>Statut</mat-label>
      <mat-select formControlName="statut" >
        <mat-option *ngFor="let key of keysStatuts" value="{{statuts[key]}}">{{statuts[key]}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div>
    <mat-form-field class="input">
      <input matInput placeholder="Organisme" formControlName="organisme">
    </mat-form-field>
  </div>

  <div>
    <mat-form-field >
      <input matInput [ngxMatDatetimePicker]="datedebut" placeholder="Date prévue" formControlName="dateDebut">
      <mat-datepicker-toggle matSuffix [for]="datedebut"> </mat-datepicker-toggle>
      <ngx-mat-datetime-picker #datedebut></ngx-mat-datetime-picker>
    </mat-form-field>

    <mat-form-field class="moveright">
      <input matInput [matDatepicker]="datefin" placeholder="Date fin" formControlName="dateFin">
      <mat-datepicker-toggle matSuffix [for]="datefin"> </mat-datepicker-toggle>
      <mat-datepicker #datefin></mat-datepicker>
    </mat-form-field>
  </div>

  <div>
    <mat-form-field class="input2">
      <mat-label>Nombre de jours</mat-label>
      <input matInput type="number" formControlName="jour" min=1 value="1">
    </mat-form-field>

    <mat-form-field class="moveright input2">
      <mat-label>Nombre d'heures</mat-label>
      <input matInput type="number" formControlName="heure" min="1" value="1">
    </mat-form-field>
  </div>

  <div>
    <mat-form-field class="input2">
      <mat-label>Type formation</mat-label>
      <mat-select formControlName="type" >
        <mat-option *ngFor="let key of keysTypes" value="{{types[key]}}">{{types[key]}}</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field class="moveright input2">
      <mat-label>Mode formation</mat-label>
      <mat-select formControlName="mode">
        <mat-option *ngFor="let key of keysModes" value="{{modes[key]}}">{{modes[key]}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div>
    <mat-checkbox matInput formControlName="estCertifie">Certifiée</mat-checkbox>
  </div>
  <div>
    <button mat-raised-button>Mettre à jour la formation</button>
  </div>
</form>
